﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Parallel
{
	public static class MyExtensions
	{

		public static bool IsPrime(this int number)
		{
			int max = (int)Math.Sqrt(number);
			return !(2.To(max).Any(value => number % value == 0));
		}

		public static IEnumerable<int> To(this int from, int to)
		{
			return Enumerable.Range(from, to);
		}

		public static string ToBinary(this int value)
		{
			return Convert.ToString(value, 2);
		}
	}
}
